From 5fecea5da0cd87f73d77a78a80496f8aaf4a62dc Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Mattias=20Engdeg=C3=A5rd?= <mattiase@acm.org>
Date: Fri, 19 Apr 2019 23:27:47 +0200
Subject: [PATCH] Neater html table of old versions

* admin/archive-contents.el (archive--html-bytes-format): Use IEC prefixes.
(archive--html-make-pkg): Sort old versions in newest-to-oldest order.
---
 admin/archive-contents.el | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

diff --git a/admin/archive-contents.el b/admin/archive-contents.el
index 30245437f..c7cac6e40 100644
--- a/admin/archive-contents.el
+++ b/admin/archive-contents.el
@@ -388,15 +388,15 @@ Rename DIR/ to PKG-VERS/, and return the descriptor."
 (defun archive--html-bytes-format (bytes) ;Aka memory-usage-format.
   (setq bytes (/ bytes 1024.0))
   (let ((units '(;; "B"
-                 "kB" "MB" "GB" "TB")))
+                 "KiB" "MiB" "GiB" "TiB")))
     (while (>= bytes 1024)
       (setq bytes (/ bytes 1024.0))
       (setq units (cdr units)))
     (cond
-     ;; ((integerp bytes) (format "%4d%s" bytes (car units)))
-     ((>= bytes 100) (format "%4.0f%s" bytes (car units)))
-     ((>= bytes 10) (format "%4.1f%s" bytes (car units)))
-     (t (format "%4.2f%s" bytes (car units))))))
+     ;; ((integerp bytes) (format "%4d %s" bytes (car units)))
+     ((>= bytes 100) (format "%4.0f %s" bytes (car units)))
+     ((>= bytes 10) (format "%4.1f %s" bytes (car units)))
+     (t (format "%4.2f %s" bytes (car units))))))
 
 (defun archive--get-prop (prop name srcdir mainsrcfile)
   (let ((kprop (intern (format ":%s" (downcase prop)))))
@@ -536,7 +536,10 @@ Rename DIR/ to PKG-VERS/, and return the descriptor."
                   "\n</pre>\n")))
       (unless (< (length files) (if (zerop (length latest)) 1 2))
         (insert (format "<h2>Old versions</h2><table>\n"))
-        (dolist (file files)
+        (dolist (file 
+                 (sort files (lambda (f1 f2)
+                               (version-list-< (version-to-list (car f2))
+                                               (version-to-list (car f1))))))
           (unless (equal (pop file) latest)
             (let ((attrs (file-attributes file)))
               (insert (format "<tr><td><a href=%S>%s</a></td><td>%s</td><td>%s</td>\n"
-- 
2.20.1 (Apple Git-117)

